commit 79c523d40de1b7ce1dd0f4865c0855ab2bf6744b
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Sep 20 02:17:58 2021

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 2c8e6df0350..c1155ef2341 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20210919
+20210920
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 0bf49316331..f6863fb900a 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,22 @@
+2021-09-19  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-09-16  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/102287
+	* trans-expr.c (gfc_conv_procedure_call): Wrap deallocation of
+	allocatable components of optional allocatable derived type
+	procedure arguments with INTENT(OUT) into a presence check.
+
+2021-09-19  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-09-14  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/102311
+	* resolve.c (resolve_entries): Attempt to recover cleanly after
+	rejecting mismatched function entries.
+
 2021-09-16  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index c24b22609b2..2ea65ee2d7f 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,19 @@
+2021-09-19  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-09-16  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/102287
+	* gfortran.dg/intent_out_14.f90: New test.
+
+2021-09-19  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-09-14  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/102311
+	* gfortran.dg/entry_25.f90: New test.
+
 2021-09-17  Eric Botcazou  <ebotcazou@adacore.com>
 
 	* gcc.target/sparc/20210917-1.c: New test.

